summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Lockywolf <for_sbo.i3-easyfocus_2023-05-25@lockywolf.net>2023-06-02 20:19:52 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-06-03 10:38:21 +0700
commit6c83f154f12d109ac492ce0de00500740a1989a2 (patch)
treedd4afaf43e32998dabe50f2710d7bbc4475ac0eb /desktop
parent1aec06f1275ee8532801a65cc210d90961e4da80 (diff)
downloadslackbuilds-6c83f154f12d109ac492ce0de00500740a1989a2.tar.gz
slackbuilds-6c83f154f12d109ac492ce0de00500740a1989a2.tar.xz
desktop/i3-easyfocus: Added (Focus and select windows in i3)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/i3-easyfocus/README23
-rw-r--r--desktop/i3-easyfocus/i3-easyfocus.SlackBuild100
-rw-r--r--desktop/i3-easyfocus/i3-easyfocus.info10
-rw-r--r--desktop/i3-easyfocus/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/desktop/i3-easyfocus/README b/desktop/i3-easyfocus/README
new file mode 100644
index 0000000000..57142867d6
--- /dev/null
+++ b/desktop/i3-easyfocus/README
@@ -0,0 +1,23 @@
+Focus and select windows in [i3](https://github.com/i3/i3).
+
+Draws a small label ('a'-'z') on top of each visible container, which
+can be selected by pressing the corresponding key on the keyboard
+(cancel with ESC). By default, only windows on the current workspace
+are labelled.
+
+Focus the selected window:
+```shell
+./i3-easyfocus
+```
+
+It also possible to only print out the con_id of the selected window
+and, for example, move it to workspace 3:
+
+```shell
+./i3-easyfocus -i | xargs -I {} i3-msg [con_id={}] move workspace 3
+```
+
+Or to print the window id and use it with other commands, like xkill:
+```shell
+./i3-easyfocus -w | xargs xkill -id
+```
diff --git a/desktop/i3-easyfocus/i3-easyfocus.SlackBuild b/desktop/i3-easyfocus/i3-easyfocus.SlackBuild
new file mode 100644
index 0000000000..183889ee4a
--- /dev/null
+++ b/desktop/i3-easyfocus/i3-easyfocus.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for i3-easyfocus
+
+# Copyright 2023 i3-easyfocus
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=i3-easyfocus
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" make V=1
+mkdir -p $PKG/usr/bin/
+cp i3-easyfocus $PKG/usr/bin/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/i3-easyfocus/i3-easyfocus.info b/desktop/i3-easyfocus/i3-easyfocus.info
new file mode 100644
index 0000000000..2605172bed
--- /dev/null
+++ b/desktop/i3-easyfocus/i3-easyfocus.info
@@ -0,0 +1,10 @@
+PRGNAM="i3-easyfocus"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/cornerman/i3-easyfocus/"
+DOWNLOAD="https://github.com/cornerman/i3-easyfocus/archive/v1.0.0/i3-easyfocus-1.0.0.tar.gz"
+MD5SUM="2b46ecc013a602caa0b05d3b4520c33d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="i3 i3ipc-glib"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.i3-easyfocus_2023-05-25@lockywolf.net"
diff --git a/desktop/i3-easyfocus/slack-desc b/desktop/i3-easyfocus/slack-desc
new file mode 100644
index 0000000000..5b733cbde7
--- /dev/null
+++ b/desktop/i3-easyfocus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+i3-easyfocus: i3-easyfocus (Focus and select windows in i3)
+i3-easyfocus:
+i3-easyfocus: Draws a small label ('a'-'z') on top of each visible container,
+i3-easyfocus: which can be selected by pressing the corresponding key on the
+i3-easyfocus: keyboard (cancel with ESC). By default, only windows on the current
+i3-easyfocus: workspace are labelled.
+i3-easyfocus:
+i3-easyfocus:
+i3-easyfocus:
+i3-easyfocus:
+i3-easyfocus: